Loading...
Searching...
No Matches
AVPanScan Struct Reference

Pan Scan area. More...

`#include <libavcodec/defs.h>`

## Data Fields

int | id
| id
int | width
| width and height in 1/16 pel
int | height
int16_t | position [3][2]
| position of the top left corner in 1/16 pel for up to 3 fields/frames

## Detailed Description

Pan Scan area.

This specifies the area which should be displayed. Note there may be multiple such areas for one frame.

Definition at line 242 of file defs.h.

## Field Documentation

## id

int AVPanScan::id

id

- encoding: Set by user.
- decoding: Set by libavcodec.

Definition at line 248 of file defs.h.

## width

int AVPanScan::width

width and height in 1/16 pel

- encoding: Set by user.
- decoding: Set by libavcodec.

Definition at line 255 of file defs.h.

## height

int AVPanScan::height

Definition at line 256 of file defs.h.

## position

int16_t AVPanScan::position[3][2]

position of the top left corner in 1/16 pel for up to 3 fields/frames

- encoding: Set by user.
- decoding: Set by libavcodec.

Definition at line 263 of file defs.h.

The documentation for this struct was generated from the following file:

- libavcodec/defs.h